<?php
include('../../../configuracion.php');

// Comprobamos que efectivamente se hayan enviado datos desde el formulario
if(!@$_GET) exit();

$_GET['email_recuperar'] = isset($_GET['email_recuperar']) ? $_GET['email_recuperar'] : NULL;

// Limpiamos los datos recibidos
$email = funcion::limpiar($_GET['email_recuperar']);
$email = strtolower($email);

$usuario = $db->row('usuarios','id, nombre, email',"email='{$email}'");

if (empty($usuario->id)) {
  header("Location:".MAGO."c/usuarios/");
  exit;
}
$username = $usuario->email;
    $str1 = 'abcdefghijklmnopqrstuvwxyz1234567890';
      $chars = array();
    for($i=0;$i<strlen($str1);$i++){
      $chars[] = substr($str1,$i,1);
    }
    shuffle($chars);
    $clave = NULL;
    $i=0;
    while($i<6){
      if($i<3) $clave.= $chars[$i];
      if($i>2) $clave.= rand(1,9);
      $i++;
    }
    
$clave_original = $clave;
$clave = funcion::encriptar($clave);
$email = $usuario->email;
$nombre = $usuario->nombre;
$id_usuario = $usuario->id;

//Subimos la información a la base de datos
$datos = array(
  'clave' => $db->string($clave)
);

$db->update('usuarios',$datos,"id='{$id_usuario}'");

  // Incluimos la clase PHPMailer
  require "class.phpmailer.php";

  require_once "../../../emails/email-recuperar-contrasena.php";

  header("Location:".MAGO."c/usuarios/editar/".$usuario->id);
  exit;
?>